Subject: Re: bash, tcsh and perl
From: [email-masked] (Corinna Vinschen)

17 Jan 1999 22:36:44 -0800
Message-ID: <[email-masked]>
References: <01BE41A5.EDE3EF60@JONATHAN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Dr. Volker Zell" <[email-masked]>, [email-masked]

Dr. Volker Zell wrote:
> 
> Hi Corinna
> 
> When doing a make with your latest cron, cron-2.9.2.src.tar.gz
> I get the following error:
> 
> ----
> 
> gcc -DPWBUFSIZ=512 -DPWBUFPOS=256 -DPWKEYWORD="\"\107\056\114\273\146\231\033\266\""   -c cron.cc -o cron.o
> In file included from cron.cc:31:
> CString.h:23: String: No such file or directory
> make: *** [cron.o] Error 1

Make has to compile with g++ instead of gcc. This works in my environment!
If you don't get it to work, try:

	CXXFLAGS=-I/usr/include/g++ $(PWBUFSIZ) $(PWBUFPOS) $(PWKEYWORD)
		   ^ according to your standard include path.

And please, don't publish your -DPW... values! You're risking your system security.

> -------------------------------
> 
> When doing a make with your passwd-1.0.tar.gz
> I get the following error:
> 
> ---
> 
> gcc -s -o passwd.exe passwd.o -lnetapi32
> passwd.o(.text+0x3d6):passwd.c: undefined reference to `NetUserChangePassword'
> collect2: ld returned 1 exit status
> make: *** [passwd.exe] Error 1
> 
> Any hints ?

Sorry, I forgot, that this function is defined first in a later snapshot,
winsup-19981230, I think. You only have to declare

	DWORD STDCALL NetUserChangePassword (LPWSTR, LPWSTR, LPWSTR, LPWSTR);

at the start of passwd.c, but behind 

	#include <winsup.h>

Regards,
Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".